
void AnaDALI(){

  bool printGif = true;

  gStyle->SetOptStat(111111);
  gSystem->Load("libXMLParser.so");
  gSystem->Load("libanacore.so");
  gSystem->Load("libanadali.so");

  TArtEventStore *estore = new TArtEventStore();

  TArtDALIParameters *setup = new TArtDALIParameters();
  setup->LoadParameter("db/DALI.xml");

  TArtCalibDALI *mydali= new TArtCalibDALI(setup);

  TArtRawEventObject *rawevent = new TArtRawEventObject();
  estore->Initialize(rawevent); 
  estore->Open("test.ridf");
 
  /* prepare histograms */
  char dummy[64];
  TH1 * hGammaE;

  std::cout << "start to scan" << std::endl;

  int neve = 0;
  while(estore->GetNextEvent() && neve<10000){
    cout << "AnaDALI: " << neve << endl;
    mydali->ReconstructData(rawevent);

    Int_t NumDALI = mydali->GetNumDALI();
    cout << NumDALI << endl;

    mydali->ClearData();
    rawevent->Clear();
    neve ++;
  }

  return;

}
